LegacyLayout.LegacyDeletionInfo (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class LegacyLayout.LegacyDeletionInfo

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyDeletionInfo

- Enclosing class:
    LegacyLayout

      public static class LegacyLayout.LegacyDeletionInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MutableDeletionInfo` | `deletionInfo`
    `java.util.List<LegacyLayout.LegacyRangeTombstone>` | `inRowTombstones`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CFMetaData metadata, LegacyLayout.LegacyRangeTombstone tombstone)`
    `void` | `add(CFMetaData metadata, RangeTombstone tombstone)`
    `void` | `add(DeletionTime topLevel)`
    `static LegacyLayout.LegacyDeletionInfo` | `deserialize(CFMetaData metadata, DataInputPlus in)`
    `java.util.Iterator<LegacyLayout.LegacyRangeTombstone>` | `inRowRangeTombstones()`
    `static LegacyLayout.LegacyDeletionInfo` | `live()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deletionInfo

          public final MutableDeletionInfo deletionInfo

    - #### inRowTombstones

          public final java.util.List<LegacyLayout.LegacyRangeTombstone> inRowTombstones

  - ### Method Detail

    - #### live

          public static LegacyLayout.LegacyDeletionInfo live()

    - #### add

          public void add(DeletionTime topLevel)

    - #### add

          public void add(CFMetaData metadata,
                          LegacyLayout.LegacyRangeTombstone tombstone)

    - #### add

          public void add(CFMetaData metadata,
                          RangeTombstone tombstone)

    - #### inRowRangeTombstones

          public java.util.Iterator<LegacyLayout.LegacyRangeTombstone> inRowRangeTombstones()

    - #### deserialize

          public static LegacyLayout.LegacyDeletionInfo deserialize(CFMetaData metadata,
                                                                    DataInputPlus in)
                                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation